Chromium Code Reviews
Help | Chromium Project | Sign in
(34)

Issue 2572833002: stop using exotic clipops (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by reed1
Modified:
3 months, 1 week ago
Reviewers:
f(malita)
CC:
chromium-reviews, krit, drott+blinkwatch_chromium.org, blink-reviews-platform-graphics_chromium.org, Stephen Chennney, dshwang, pdr+graphicswatchlist_chromium.org, jbroman, Justin Novosad, Rik, f(malita), blink-reviews, cc-bugs_chromium.org, ajuma+watch_chromium.org, danakj+watch_chromium.org, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

stop using exotic clipops The only caller of an "exotic" is in software_renderer, and that one is preserved (with a scary enum name to remind us to fix it). All the other changes are purely mechanical .. remove cases from translation tables. The remaining case will be addressed in a separate CL, using this bug. BUG=673851 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel TBR= Committed: https://crrev.com/c247ca2c76ca4f08cbac9ef99b0ad1179ba8a717 Cr-Commit-Position: refs/heads/master@{#438355}

Patch Set 1 #

Patch Set 2 : add TODO #

Patch Set 3 : cleaner SkUserConfig.h edit #

Unified diffs Side-by-side diffs Delta from patch set Stats (+9 lines, -32 lines) Patch
M cc/output/software_renderer.cc View 1 1 chunk +3 lines, -1 line 0 comments Download
M cc/playback/display_item_list_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M cc/proto/skia_conversions.cc View 1 2 chunks +4 lines, -16 lines 0 comments Download
M cc/proto/skia_conversions_unittest.cc View 1 1 chunk +1 line, -2 lines 0 comments Download
M skia/config/SkUserConfig.h View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/LoggingCanvas.cpp View 1 1 chunk +0 lines, -8 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 23 (15 generated)
reed1
3 months, 1 week ago (2016-12-13 18:59:53 UTC) #3
f(malita)
LGTM % missing drm_window.cc kReplace.
3 months, 1 week ago (2016-12-13 20:08:11 UTC) #4
reed1
On 2016/12/13 20:08:11, f(malita) wrote: > LGTM % missing drm_window.cc kReplace. Logically a separate CL ...
3 months, 1 week ago (2016-12-13 20:32:41 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2572833002/40001
3 months, 1 week ago (2016-12-13 20:34:25 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/332378)
3 months, 1 week ago (2016-12-13 21:50:02 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2572833002/40001
3 months, 1 week ago (2016-12-13 22:13:11 UTC) #18
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 months, 1 week ago (2016-12-14 00:21:47 UTC) #21
commit-bot: I haz the power
3 months, 1 week ago (2016-12-14 00:25:12 UTC) #23
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/c247ca2c76ca4f08cbac9ef99b0ad1179ba8a717
Cr-Commit-Position: refs/heads/master@{#438355}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62